Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228172 - multi-lib conflict
Summary: multi-lib conflict
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: plplot
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE7Target
TreeView+ depends on / blocked
 
Reported: 2007-02-10 23:30 UTC by Michael Schwendt
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-22 22:52:56 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2007-02-10 23:30:15 UTC
plplot-tk-devel - 5.7.2-1.fc7.x86_64
  Conflicts: 3
  File conflict in:
     /usr/share/plplot5.7.2/examples/tk/tclIndex
     /usr/share/plplot5.7.2/examples/tk/Makefile
     /usr/share/plplot5.7.2/examples/tcl/tclIndex
  Packages with the same files:
     plplot-tk-devel - 5.7.2-1.fc7.i386

Files in /usr/share should be arch-independent. Why do they differ
between i386 and x86_64?

Comment 1 Orion Poplawski 2007-02-12 19:23:34 UTC
Makefile is typical lib/lib64 issue.  Suggestions?  I'm have to remove the RPATH
stuff completely.  

--- i386/usr/share/plplot5.7.2/examples/tk/Makefile     2007-02-12
12:03:22.000000000 -0700
+++ x86_64/usr/share/plplot5.7.2/examples/tk/Makefile   2007-02-12
12:03:37.000000000 -0700
@@ -24,8 +24,8 @@
 EXEEXT =

 LIB_TAG = d
-PKG_CONFIG_ENV = PKG_CONFIG_PATH=/usr/lib/pkgconfig
-RPATHCMD = -Wl,-rpath -Wl,/usr/lib:/usr/lib
+PKG_CONFIG_ENV = PKG_CONFIG_PATH=/usr/lib64/pkgconfig
+RPATHCMD = -Wl,-rpath -Wl,/usr/lib64:/usr/lib64

 EXECUTABLES_list = \
                 xtk01$(EXEEXT) \


The tclIndex files appear to be generated with tcl's auto_mkindex:

auto_mkindex . *.tcl

Perhaps they can be sorted though to the output is deterministic.

Comment 2 Orion Poplawski 2007-02-13 05:22:09 UTC
I'm completely removing the PKG_CONFIG_ENV and RPATHCMD variables since they
aren't useful in the Fedora package.  Using sort to make tclIndex files
deterministic.  Will be fixed in 5.7.2-3 once we can build against Tcl 8.5.


Note You need to log in before you can comment on or make changes to this bug.